## mediawiki 1.11.2

=== serialized/Makefile ===

MESSAGE_SOURCES=$(wildcard ../languages/messages/Messages*.php)
MESSAGE_TARGETS=$(patsubst ../languages/messages/Messages%.php, Messages%.ser, $(MESSAGE_SOURCES))
SPECIAL_TARGETS=Utf8Case.ser
ALL_TARGETS=$(MESSAGE_TARGETS) $(SPECIAL_TARGETS)
DIST_TARGETS=$(SPECIAL_TARGETS) \
	     MessagesDe.ser \
	     MessagesEn.ser \
	     MessagesFr.ser \
	     MessagesJa.ser \
	     MessagesNl.ser \
	     MessagesPl.ser \
	     MessagesSv.ser

.PHONY: all dist clean

all: $(ALL_TARGETS)

dist: $(DIST_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

Utf8Case.ser : ../includes/Utf8Case.php
	php serialize.php -o $@ $<

Messages%.ser : ../languages/messages/Messages%.php ../languages/messages/MessagesEn.php
	php serialize-localisation.php -o $@ $<

## mediawiki 1.7~dapper1

=== debian/changelog ===
mediawiki (1:1.7~dapper1) dapper-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Fri,  1 Dec 2006 13:55:40 +0000

mediawiki (1:1.7) unstable; urgency=low

  * Initial Release

 -- Romain Beauxis <toots@rastageeks.org>  Mon,  6 Nov 2006 15:36:44 +0100

=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>, Romain Beauxis <toots@rastageeks.org>, Arnaud Cornet <arnaud.cornet@gmail.com>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: mediawiki
Architecture: all
Depends: mediawiki1.7, mediawiki1.7-math
Description: website engine for collaborative work
 MediaWiki is a particular wiki engine (a program to easily
 create a website which can be edited in a collaborative
 maner). It is designed to handle heavy websites containing
 library-like documents : users can upload images/sounds,
 multilingual support, TOC autogen, ISBN links, ...
 Moreover, it keeps track of changes, so you can view diffs,
 revert, and receive notifies. This system has many other
 features and can easily be extended.
 .
 MediaWiki is the underlying wiki engine used by the famous
 WikiPedia site (http://www.wikipedia.org/).
 .
 This package provides the latest mediawiki package available
 in Debian, along with the math extension.
 .
  Homepage: http://www.mediawiki.org/

## mediawiki 1.7~edgy1

=== debian/changelog ===
mediawiki (1:1.7~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Fri,  1 Dec 2006 13:55:46 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

## mediawiki 1.10

=== debian/changelog ===
mediawiki (1:1.10) unstable; urgency=low

  * Switched to mediawiki1.10
  * Mediawiki1.10 recommends mediawiki-math (Closes: #428021)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 10 Jul 2007 19:29:01 +0200

mediawiki (1:1.9) unstable; urgency=low

  * Switched to mediawiki1.9, closes: #392932
  * Corrected typo in control, closes: #414121
  * Seperated -math extension to a single package, closes: #401714

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 Apr 2007 17:02:05 +0200

=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: MediaWiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>, Romain Beauxis <toots@rastageeks.org>, Arnaud Cornet <arnaud.cornet@gmail.com>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: mediawiki
Architecture: all
Depends: mediawiki1.10
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.
 .
 This package provides the latest mediawiki package available
 in Debian. If you want to add math extension, you may install
 mediawiki-math.
 .
  Homepage: http://www.mediawiki.org/

Package: mediawiki-math
Architecture: all
Depends: mediawiki1.10-math
Description: website engine for collaborative work -- math extension
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.
 .
 This package provides the latest mediawiki math extension.
 .
  Homepage: http://www.mediawiki.org/

## mediawiki 1.12.0

=== Makefile ===
#
# This Makefile is used to test some MediaWiki functions. If you
# want to install MediaWiki, point your browser to ./config/
#

# Configuration:
PROVE_BIN="prove"

# Describe our tests:
BASE_TEST=$(wildcard t/*.t)
INCLUDES_TESTS=$(wildcard t/inc/*t)
MAINTENANCE_TESTS=$(wildcard t/maint/*t)

# Build groups:
FAST_TESTS=$(BASE_TEST) $(INCLUDES_TESTS)
ALL_TESTS=$(BASE_TEST) $(INCLUDES_TESTS) $(MAINTENANCE_TESTS)

test: Test.php
	$(PROVE_BIN) $(ALL_TESTS)

fast: Test.php
	$(PROVE_BIN) $(FAST_TESTS)

verbose: Test.php
	$(PROVE_BIN) -v $(ALL_TESTS) | egrep -v '^ok'

=== includes/normal/Makefile ===
.PHONY : all test testutf8 testclean icutest bench icubench clean distclean

## Latest greatest version of Unicode
## May cause confusion if running test suite from these files
## when the data was generated from a previous version.
#BASE=http://www.unicode.org/Public/UNIDATA

# Explicitly using Unicode 5.0
BASE=http://www.unicode.org/Public/5.0.0/ucd/

# Can override to php-cli or php5 or whatevah
PHP=php
#PHP=php-cli

# Some nice tool to grab URLs with
FETCH=wget
#FETCH=fetch

all : UtfNormalData.inc

UtfNormalData.inc : UtfNormalGenerate.php UtfNormalUtil.php UnicodeData.txt CompositionExclusions.txt NormalizationCorrections.txt DerivedNormalizationProps.txt
	$(PHP) UtfNormalGenerate.php

test : testutf8 testclean UtfNormalTest.php UtfNormalData.inc NormalizationTest.txt
	$(PHP) UtfNormalTest.php

testutf8 : Utf8Test.php UTF-8-test.txt
	$(PHP) Utf8Test.php

testclean : CleanUpTest.php
	$(PHP) CleanUpTest.php

bench : UtfNormalData.inc testdata/washington.txt testdata/berlin.txt testdata/tokyo.txt testdata/young.txt testdata/bulgakov.txt
	$(PHP) UtfNormalBench.php

icutest : UtfNormalData.inc NormalizationTest.txt
	$(PHP) Utf8Test.php --icu
	$(PHP) CleanUpTest.php --icu
	$(PHP) UtfNormalTest.php --icu

icubench : UtfNormalData.inc testdata/washington.txt testdata/berlin.txt testdata/tokyo.txt testdata/young.txt testdata/bulgakov.txt
	$(PHP) UtfNormalBench.php --icu

clean :
	rm -f UtfNormalData.inc UtfNormalDataK.inc

distclean : clean
	rm -f CompositionExclusions.txt NormalizationTest.txt NormalizationCorrections.txt UnicodeData.txt DerivedNormalizationProps.txt UTF-8-test.txt

# The Unicode data files...
CompositionExclusions.txt :
	$(FETCH) $(BASE)/CompositionExclusions.txt

NormalizationTest.txt :
	$(FETCH) $(BASE)/NormalizationTest.txt

NormalizationCorrections.txt :
	$(FETCH) $(BASE)/NormalizationCorrections.txt

DerivedNormalizationProps.txt :
	$(FETCH) $(BASE)/DerivedNormalizationProps.txt

UnicodeData.txt :
	$(FETCH) $(BASE)/UnicodeData.txt

UTF-8-test.txt :
	$(FETCH) http://www.cl.cam.ac.uk/~mgk25/ucs/examples/UTF-8-test.txt

testdata/berlin.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/berlin.txt "http://de.wikipedia.org/w/index.php?title=Berlin&oldid=2775712&action=raw"

testdata/washington.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/washington.txt "http://en.wikipedia.org/w/index.php?title=Washington%2C_D.C.&oldid=6370218&action=raw"

testdata/tokyo.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/tokyo.txt "http://ja.wikipedia.org/w/index.php?title=%E6%9D%B1%E4%BA%AC%E9%83%BD&oldid=940880&action=raw"

testdata/young.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/young.txt "http://ko.wikipedia.org/w/index.php?title=%EC%9D%B4%EC%88%98%EC%98%81&oldid=627688&action=raw"

testdata/bulgakov.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/bulgakov.txt "http://ru.wikipedia.org/w/index.php?title=%D0%91%D1%83%D0%BB%D0%B3%D0%B0%D0%BA%D0%BE%D0%B2%2C_%D0%A1%D0%B5%D1%80%D0%B3%D0%B5%D0%B9_%D0%9D%D0%B8%D0%BA%D0%BE%D0%BB%D0%B0%D0%B5%D0%B2%D0%B8%D1%87&oldid=17704&action=raw"

=== includes/zhtable/Makefile ===
#
# Creating the file ZhConversion.php used for Simplified/Traditional
# Chinese conversion. It gets the basic conversion table from the Unihan 
# database, and construct the phrase tables using phrase libraries in
# the SCIM packages and the libtabe package. There are also special
# tables used to for adjustment. 
#

GREP = LANG=zh_CN.UTF8 grep
SED = LANG=zh_CN.UTF8 sed
DIFF = LANG=zh_CN.UTF8 diff
CC ?= gcc

SF_MIRROR = easynews
SCIM_TABLES_VER = 0.5.7
SCIM_PINYIN_VER = 0.5.91
LIBTABE_VER = 0.2.3

# Installation directory
INSTDIR = /usr/local/share/zhdaemons/

all: ZhConversion.php tradphrases.notsure simpphrases.notsure wordlist toHans.dict toHant.dict toCN.dict toTW.dict toHK.dict toSG.dict

Unihan.txt:
	wget -nc ftp://ftp.unicode.org/Public/UNIDATA/Unihan.zip
	unzip -q Unihan.zip

EZ.txt.in:
	wget -nc http://$(SF_MIRROR).dl.sourceforge.net/sourceforge/scim/scim-tables-$(SCIM_TABLES_VER).tar.gz
	tar -xzf scim-tables-$(SCIM_TABLES_VER).tar.gz -O scim-tables-$(SCIM_TABLES_VER)/tables/zh/EZ-Big.txt.in > EZ.txt.in

phrase_lib.txt:
	wget -nc http://$(SF_MIRROR).dl.sourceforge.net/sourceforge/scim/scim-pinyin-$(SCIM_PINYIN_VER).tar.gz
	tar -xzf scim-pinyin-$(SCIM_PINYIN_VER).tar.gz -O scim-pinyin-$(SCIM_PINYIN_VER)/data/phrase_lib.txt > phrase_lib.txt

tsi.src:
	wget -nc http://$(SF_MIRROR).dl.sourceforge.net/sourceforge/libtabe/libtabe-$(LIBTABE_VER).tgz	
	tar -xzf libtabe-$(LIBTABE_VER).tgz -O libtabe/tsi-src/tsi.src > tsi.src

wordlist: phrase_lib.txt EZ.txt.in tsi.src
	iconv -c -f big5 -t utf8 tsi.src | $(SED) 's/# //g' | $(SED) 's/[ ][0-9].*//' > wordlist
	$(SED) 's/\(.*\)\t[0-9][0-9]*.*/\1/' phrase_lib.txt | $(SED) '1,5d' >> wordlist
	$(SED) '1,/BEGIN_TABLE/d' EZ.txt.in | colrm 1 8 | $(SED) 's/\t.*//' | $(GREP) "^...*" >> wordlist
	sort wordlist | uniq | $(SED) 's/ //g' > t
	mv t wordlist

printutf8: printutf8.c
	$(CC) -o printutf8 printutf8.c

unihan.t2s.t: Unihan.txt printutf8
	$(GREP) kSimplifiedVariant Unihan.txt | $(SED)  '/#/d' | $(SED)  's/kSimplifiedVariant//' | ./printutf8 > unihan.t2s.t

trad2simp.t: trad2simp.manual unihan.t2s.t
	cp unihan.t2s.t tmp1
	for I in `colrm 11 < trad2simp.manual` ; do $(SED) "/^$$I/d" tmp1 > tmp2; mv tmp2 tmp1; done
	cat trad2simp.manual tmp1 > trad2simp.t

unihan.s2t.t: Unihan.txt printutf8
	$(GREP) kTraditionalVariant Unihan.txt | $(SED)  '/#/d' | $(SED)  's/kTraditionalVariant//' | ./printutf8 > unihan.s2t.t

simp2trad.t: unihan.s2t.t simp2trad.manual
	cp unihan.s2t.t tmp1
	for I in `colrm 11 < simp2trad.manual` ; do $(SED) "/^$$I/d" tmp1 > tmp2; mv tmp2 tmp1; done
	cat simp2trad.manual tmp1 > simp2trad.t

t2s_1tomany.t: trad2simp.t
	$(GREP) -s ".\{19,\}" trad2simp.t | $(SED)  's/U+...../"/' | $(SED)  's/|U+...../"=>"/' | $(SED)  's/|U+.....//g' | $(SED)  's/|/",/'  > t2s_1tomany.t

t2s_1to1.t: trad2simp.t s2t_1tomany.t
	$(SED)  "/.*|.*|.*|.*/d" trad2simp.t | $(SED)  's/U+[0-9a-z][0-9a-z]*/"/' | $(SED)  's/|U+[0-9a-z][0-9a-z]*/"=>"/' | $(SED)  's/|/",/' > t2s_1to1.t
	$(GREP)  '"."=>"..",' s2t_1tomany.t | $(SED) 's/\("."\)=>".\(.\)",/"\2"=>\1,/' >> t2s_1to1.t
	$(GREP)  '"."=>"...",' s2t_1tomany.t | $(SED) 's/\("."\)=>".\(.\).",/"\2"=>\1,/' >> t2s_1to1.t
	$(GREP)  '"."=>"...",' s2t_1tomany.t | $(SED) 's/\("."\)=>"..\(.\)",/"\2"=>\1,/' >> t2s_1to1.t
	$(GREP)  '"."=>"....",' s2t_1tomany.t | $(SED) 's/\("."\)=>".\(.\)..",/"\2"=>\1,/' >> t2s_1to1.t
	$(GREP)  '"."=>"....",' s2t_1tomany.t | $(SED) 's/\("."\)=>"..\(.\).",/"\2"=>\1,/' >> t2s_1to1.t
	$(GREP)  '"."=>"....",' s2t_1tomany.t | $(SED) 's/\("."\)=>"...\(.\)",/"\2"=>\1,/' >> t2s_1to1.t
	sort t2s_1to1.t | uniq > t
	mv t t2s_1to1.t


s2t_1tomany.t: simp2trad.t
	$(GREP) -s ".\{19,\}" simp2trad.t | $(SED)  's/U+...../"/' | $(SED)  's/|U+...../"=>"/' | $(SED)  's/|U+.....//g' | $(SED)  's/|/",/' > s2t_1tomany.t

s2t_1to1.t: simp2trad.t t2s_1tomany.t
	$(SED)  "/.*|.*|.*|.*/d" simp2trad.t | $(SED)  's/U+[0-9a-z][0-9a-z]*/"/' | $(SED)  's/|U+[0-9a-z][0-9a-z]*/"=>"/' | $(SED)  's/|/",/' > s2t_1to1.t
	$(GREP)  '"."=>"..",' t2s_1tomany.t | $(SED) 's/\("."\)=>".\(.\)",/"\2"=>\1,/' >> s2t_1to1.t
	$(GREP)  '"."=>"...",' t2s_1tomany.t | $(SED) 's/\("."\)=>".\(.\).",/"\2"=>\1,/' >> s2t_1to1.t
	$(GREP)  '"."=>"...",' t2s_1tomany.t | $(SED) 's/\("."\)=>"..\(.\)",/"\2"=>\1,/' >> s2t_1to1.t
	$(GREP)  '"."=>"....",' t2s_1tomany.t | $(SED) 's/\("."\)=>".\(.\)..",/"\2"=>\1,/' >> s2t_1to1.t
	$(GREP)  '"."=>"....",' t2s_1tomany.t | $(SED) 's/\("."\)=>"..\(.\).",/"\2"=>\1,/' >> s2t_1to1.t
	$(GREP)  '"."=>"....",' t2s_1tomany.t | $(SED) 's/\("."\)=>"...\(.\)",/"\2"=>\1,/' >> s2t_1to1.t
	sort s2t_1to1.t | uniq > t
	mv t s2t_1to1.t

tphrase.t: EZ.txt.in tsi.src
	colrm 1 8 < EZ.txt.in | $(SED) 's/\t//g' | $(GREP) "^.\{2,4\}[0-9]" | $(SED) 's/[0-9]//g' > t
	iconv -c -f big5 -t utf8 tsi.src | $(SED) 's/ [0-9].*//g' | $(SED) 's/[# ]//g'| $(GREP) "^.\{2,4\}"  >> t
	sort t | uniq > tphrase.t

alltradphrases.t: tphrase.t s2t_1tomany.t 
	for i in `cat s2t_1tomany.t | $(SED) 's/.*=>".//' | $(SED) 's/"//g' |$(SED) 's/,/\n/' | $(SED) 's/\(.\)/\1\n/g' |sort | uniq`; do $(GREP) -s $$i tphrase.t ; done  > alltradphrases.t || true


tradphrases_2.t: alltradphrases.t
	cat alltradphrases.t | $(GREP)  "^..$$" | sort | uniq > tradphrases_2.t

tradphrases_3.t: alltradphrases.t
	cat alltradphrases.t | $(GREP)  "^...$$" | sort | uniq > tradphrases_3.t
	for i in `cat tradphrases_2.t`; do $(GREP) $$i tradphrases_3.t ; done | sort | uniq > t3 || true
	$(DIFF) t3 tradphrases_3.t | $(GREP) ">" | $(SED) 's/> //' > t
	mv t tradphrases_3.t


tradphrases_4.t: alltradphrases.t
	cat alltradphrases.t | $(GREP)  "^....$$" | sort | uniq > tradphrases_4.t
	for i in `cat tradphrases_2.t`; do $(GREP) $$i tradphrases_4.t ; done | sort | uniq > t3 || true
	$(DIFF) t3 tradphrases_4.t | $(GREP) ">" | $(SED) 's/> //' > t
	mv t tradphrases_4.t
	for i in `cat tradphrases_3.t`; do $(GREP) $$i tradphrases_4.t ; done | sort | uniq > t3 || true
	$(DIFF) t3 tradphrases_4.t | $(GREP) ">" | $(SED) 's/> //' > t
	mv t tradphrases_4.t

tradphrases.t: tradphrases.manual tradphrases_2.t tradphrases_3.t tradphrases_4.t t2s_1tomany.t
	cat tradphrases.manual tradphrases_2.t tradphrases_3.t tradphrases_4.t |sort | uniq > tradphrases.t
	for i in `$(SED) 's/"\(.\).*/\1/' t2s_1tomany.t ` ; do $(GREP) $$i tradphrases.t ; done | $(DIFF) tradphrases.t - | $(GREP) '<' | $(SED) 's/< //' > t
	mv t tradphrases.t

tradphrases.notsure: tradphrases_2.t tradphrases_3.t tradphrases_4.t t2s_1tomany.t
	cat tradphrases_2.t tradphrases_3.t tradphrases_4.t |sort | uniq > t
	for i in `$(SED) 's/"\(.\).*/\1/' t2s_1tomany.t ` ; do $(GREP) $$i t; done | $(DIFF) t - | $(GREP) '>' | $(SED) 's/> //' > tradphrases.notsure


ph.t: phrase_lib.txt
	$(SED) 's/[\t0-9a-zA-Z]//g' phrase_lib.txt | $(GREP) "^.\{2,4\}$$" > ph.t

allsimpphrases.t: ph.t
	rm -f allsimpphrases.t
	for i in `cat t2s_1tomany.t | $(SED) 's/.*=>".//' | $(SED) 's/"//g' | $(SED) 's/,/\n/' | $(SED) 's/\(.\)/\1\n/g' | sort | uniq `; do $(GREP) $$i ph.t >> allsimpphrases.t; done

simpphrases_2.t: allsimpphrases.t
	cat allsimpphrases.t | $(GREP) "^..$$" | sort | uniq > simpphrases_2.t

simpphrases_3.t: allsimpphrases.t
	cat allsimpphrases.t | $(GREP) "^...$$" | sort | uniq > simpphrases_3.t
	for i in `cat simpphrases_2.t`; do $(GREP) $$i simpphrases_3.t ; done | sort | uniq > t3 || true
	$(DIFF) t3 simpphrases_3.t | $(GREP) ">" | $(SED) 's/> //' > t
	mv t simpphrases_3.t

simpphrases_4.t: allsimpphrases.t
	cat allsimpphrases.t | $(GREP) "^....$$" | sort | uniq > simpphrases_4.t
	rm -f t
	for i in `cat simpphrases_2.t`; do $(GREP) $$i simpphrases_4.t >> t; done || true
	sort t | uniq > t3
	$(DIFF) t3 simpphrases_4.t | $(GREP) ">" | $(SED) 's/> //' > t
	mv t simpphrases_4.t
	for i in `cat simpphrases_3.t`; do $(GREP) $$i simpphrases_4.t; done | sort  | uniq > t3 || true
	$(DIFF) t3 simpphrases_4.t | $(GREP) ">" | $(SED) 's/> //' > t
	mv t simpphrases_4.t

simpphrases.t:simpphrases_2.t simpphrases_3.t simpphrases_4.t t2s_1tomany.t
	cat simpphrases_2.t simpphrases_3.t simpphrases_4.t > simpphrases.t
	for i in `$(SED) 's/"\(.\).*/\1/' t2s_1tomany.t ` ; do $(GREP) $$i simpphrases.t ; done | $(DIFF) simpphrases.t - | $(GREP) '<' | $(SED) 's/< //' > t
	mv t simpphrases.t


simpphrases.notsure:simpphrases_2.t simpphrases_3.t simpphrases_4.t t2s_1tomany.t
	cat simpphrases_2.t simpphrases_3.t simpphrases_4.t > t
	for i in `$(SED) 's/"\(.\).*/\1/' t2s_1tomany.t ` ; do $(GREP) $$i t ; done | $(DIFF) t - | $(GREP) '>' | $(SED) 's/> //' > simpphrases.notsure

trad2simp1to1.t: t2s_1tomany.t t2s_1to1.t
	$(SED)  's/\(.......\).*/\1",/' t2s_1tomany.t > trad2simp1to1.t
	cat t2s_1to1.t >> trad2simp1to1.t

simp2trad1to1.t: s2t_1tomany.t s2t_1to1.t
	$(SED)  's/\(.......\).*/\1",/' s2t_1tomany.t > simp2trad1to1.t
	cat s2t_1to1.t >> simp2trad1to1.t

trad2simp.php: trad2simp1to1.t tradphrases.t
	printf '<?php\n$$trad2simp=array(' > trad2simp.php
	cat trad2simp1to1.t >> trad2simp.php
	printf ');\n$$str=\n"' >> trad2simp.php
	cat tradphrases.t >> trad2simp.php
	printf '";\n$$t=strtr($$str, $$trad2simp);\necho $$t;\n?>' >> trad2simp.php

simp2trad.php: simp2trad1to1.t simpphrases.t
	printf '<?php\n$$simp2trad=array(' > simp2trad.php
	cat simp2trad1to1.t >> simp2trad.php
	printf ');\n$$str=\n"' >> simp2trad.php
	cat simpphrases.t >> simp2trad.php
	printf '";\n$$t=strtr($$str, $$simp2trad);\necho $$t;\n?>' >> simp2trad.php

simp2trad.phrases.t: trad2simp.php tradphrases.t
	php -f trad2simp.php | $(SED)  's/\(.*\)/"\1" => /' > tmp1
	cat tradphrases.t | $(SED)  's/\(.*\)/"\1",/' > tmp2
	paste tmp1 tmp2 > simp2trad.phrases.t

trad2simp.phrases.t: simp2trad.php simpphrases.t
	php -f simp2trad.php | $(SED)  's/\(.*\)/"\1" => /' > tmp1
	cat simpphrases.t | $(SED)  's/\(.*\)/"\1",/' > tmp2
	paste tmp1 tmp2 > trad2simp.phrases.t

toHans.dict: trad2simp1to1.t trad2simp.phrases.t
	cat trad2simp1to1.t | $(SED) 's/[, \t]//g' | $(SED) 's/=>/\t/' > toHans.dict
	cat trad2simp.phrases.t | $(SED) 's/[, \t]//g' | $(SED) 's/=>/\t/' >> toHans.dict

toHant.dict: simp2trad1to1.t simp2trad.phrases.t
	cat simp2trad1to1.t | $(SED) 's/[, \t]//g' | $(SED) 's/=>/\t/' > toHant.dict
	cat simp2trad.phrases.t | $(SED) 's/[, \t]//g' | $(SED) 's/=>/\t/' >> toHant.dict

toTW.dict: toTW.manual
	cat toTW.manual | $(SED) 's/ //g' | $(SED) 's/\(^.*\)\t\(.*\)/"\1"\t"\2"/' > toTW.dict

toHK.dict: toHK.manual
	cat toHK.manual | $(SED) 's/ //g' | $(SED) 's/\(^.*\)\t\(.*\)/"\1"\t"\2"/' > toHK.dict

toCN.dict: toCN.manual
	cat toCN.manual | $(SED) 's/ //g' | $(SED) 's/\(^.*\)\t\(.*\)/"\1"\t"\2"/' > toCN.dict

toSG.dict: toSG.manual
	cat toSG.manual | $(SED) 's/ //g' | $(SED) 's/\(^.*\)\t\(.*\)/"\1"\t"\2"/' > toSG.dict

ZhConversion.php: simp2trad1to1.t simp2trad.phrases.t trad2simp1to1.t trad2simp.phrases.t toCN.manual toHK.manual toSG.manual toTW.manual
	printf '<?php\n/**\n * Simplified / Traditional Chinese conversion tables\n' > ZhConversion.php
	printf ' *\n * Automatically generated using code and data in includes/zhtable/\n' >> ZhConversion.php
	printf ' * Do not modify directly!\n */\n\n' >> ZhConversion.php
	printf '$$zh2Hant = array(\n' >> ZhConversion.php
	cat simp2trad1to1.t >> ZhConversion.php
	echo >> ZhConversion.php
	cat simp2trad.phrases.t >> ZhConversion.php
	echo ');' >> ZhConversion.php
	echo >> ZhConversion.php
	printf '$$zh2Hans = array(\n' >> ZhConversion.php
	cat trad2simp1to1.t >> ZhConversion.php
	echo >> ZhConversion.php
	cat trad2simp.phrases.t >> ZhConversion.php
	echo ');' >> ZhConversion.php
	echo >> ZhConversion.php
	printf '$$zh2TW = array(\n' >> ZhConversion.php
	$(SED) 's/\(.*\)\t\(.*\)/"\1" => "\2",/' toTW.manual >> ZhConversion.php
	echo ');' >> ZhConversion.php
	echo >> ZhConversion.php
	printf '$$zh2HK = array(\n' >> ZhConversion.php
	$(SED) 's/\(.*\)\t\(.*\)/"\1" => "\2",/' toHK.manual >> ZhConversion.php
	echo ');' >> ZhConversion.php
	echo >> ZhConversion.php
	printf '$$zh2CN = array(\n' >> ZhConversion.php
	$(SED) 's/\(.*\)\t\(.*\)/"\1" => "\2",/' toCN.manual >> ZhConversion.php
	echo ');' >> ZhConversion.php
	echo >> ZhConversion.php

## mediawiki 1.15.5

=== math/Makefile ===
OBJ=render_info.cmo tex.cmo texutil.cmo parser.cmo lexer.cmo texvc.cmo \
render_info.cmx tex.cmx texutil.cmx parser.cmx lexer.cmx texvc.cmx \
lexer.cmi parser.cmi render_info.cmi tex.cmi texutil.cmi texvc.cmi \
lexer.o parser.o render_info.o tex.o texutil.o texvc.o \
lexer.ml parser.ml parser.mli texvc texvc.bc texvc_test.cmo \
texvc_test.cmx texvc_test.cmi texvc_test.o texvc_test util.o \
util.cmo util.cmx util.cmi texvc_cgi.cmi texvc_cgi texvc_cgi.cmo \
render.o render.cmi render.cmo render.cmx texvc_tex.cmx \
texvc_tex.o texvc_tex.cmi texvc_tex html.cmi html.cmo html.cmx \
html.o mathml.cmi mathml.cmo mathml.cmx mathml.o
CGIPATH=-I /usr/lib/ocaml/cgi -I /usr/lib/ocaml/netstring -I /usr/lib/ocaml/pcre

all: texvc texvc_test texvc_tex
texvc.bc: util.cmo parser.cmo html.cmo mathml.cmo texutil.cmo render.cmo lexer.cmo texvc.cmo
	ocamlc -o $@ unix.cma $^
texvc: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx render.cmx lexer.cmx texvc.cmx
	ocamlopt -o $@ unix.cmxa $^
texvc_test: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_test.cmx
	ocamlopt -o $@ $^
texvc_tex: util.cmx parser.cmx html.cmx mathml.cmx texutil.cmx lexer.cmx texvc_tex.cmx
	ocamlopt -o $@ $^
%.ml: %.mll
	ocamllex $<
%.mli %.ml: %.mly
	ocamlyacc $<
%.cmo: %.ml
	ocamlc -c $<
%.cmx: %.ml
	ocamlopt -c $<
%.cmi: %.mli
	ocamlc -c $<
texvc_cgi.cmo: texvc_cgi.ml
	ocamlc -c $(CGIPATH) $<
texvc_cgi: util.cmo parser.cmo texutil.cmo render.cmo lexer.cmo texvc_cgi.cmo
	ocamlc -o $@ unix.cma $(CGIPATH) pcre.cma netstring.cma cgi.cma $^
	chmod g-w $@
clean:
	rm -f $(OBJ)

html.cmo: render_info.cmi tex.cmi util.cmo html.cmi 
html.cmx: render_info.cmi tex.cmi util.cmx html.cmi 
html.cmi: tex.cmi 
lexer.cmo: parser.cmi render_info.cmi tex.cmi texutil.cmi 
lexer.cmx: parser.cmx render_info.cmi tex.cmi texutil.cmx 
mathml.cmo: tex.cmi mathml.cmi 
mathml.cmx: tex.cmi mathml.cmi 
mathml.cmi: tex.cmi 
parser.cmo: render_info.cmi tex.cmi parser.cmi 
parser.cmx: render_info.cmi tex.cmi parser.cmi 
parser.cmi: render_info.cmi tex.cmi 
render.cmo: texutil.cmi util.cmo 
render.cmx: texutil.cmx util.cmx 
tex.cmi: render_info.cmi 
texutil.cmo: html.cmi parser.cmi render_info.cmi tex.cmi util.cmo texutil.cmi 
texutil.cmx: html.cmx parser.cmx render_info.cmi tex.cmi util.cmx texutil.cmi 
texutil.cmi: parser.cmi tex.cmi 
texvc.cmo: html.cmi lexer.cmo mathml.cmi parser.cmi render.cmo texutil.cmi util.cmo 
texvc.cmx: html.cmx lexer.cmx mathml.cmx parser.cmx render.cmx texutil.cmx util.cmx 
texvc_cgi.cmo: lexer.cmo parser.cmi render.cmo texutil.cmi util.cmo 
texvc_cgi.cmx: lexer.cmx parser.cmx render.cmx texutil.cmx util.cmx 
texvc_test.cmo: html.cmi lexer.cmo parser.cmi texutil.cmi util.cmo 
texvc_test.cmx: html.cmx lexer.cmx parser.cmx texutil.cmx util.cmx 
texvc_tex.cmo: lexer.cmo parser.cmi texutil.cmi util.cmo 
texvc_tex.cmx: lexer.cmx parser.cmx texutil.cmx util.cmx

=== debian/changelog ===
mediawiki (1:1.15.5-4) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/patches/fix_invalid_sql.patch: new (Closes: #615983)

  [ Jonathan Wiltshire ]
  * Security fixes from upstream (Closes: #650434):
    CVE-2011-4360 - page titles on private wikis could be exposed
    bypassing different page ids to index.php
    CVE-2011-4361 - action=ajax requests were dispatched to the
    relevant function without any read permission checks being done

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 30 Nov 2011 22:42:52 +0000

mediawiki (1:1.15.5-3) unstable; urgency=high

  [ Thorsten Glaser ]
  * debian/patches/fix_datetime.patch: new, convert argument into
    the format expected by other methods, fixes date/time output
    in e.g. the News/RSS extensions

  [ Jonathan Wiltshire ]
  * CVE-2011-0047: Protect against a CSS injection vulnerability
    (closes: #611787)
  * Update my email address

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 06 Feb 2011 15:53:48 +0000

mediawiki (1:1.15.5-2) testing-security; urgency=high

  * CVE-2011-0003: Protect against clickjacking by sending the
    X-Frame-Options header in all pages (except normal page views
    and a few selected special pages). Patch as released by upstream

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 04 Jan 2011 22:39:26 +0000

mediawiki (1:1.15.5-1) unstable; urgency=high

  [ Thorsten Glaser ]
  * debian/patches/suppress_warnings.patch: new, suppress warnings
    about session_start() being called twice also in the PHP error
    log, not just MediaWiki’s, for example run from FusionForge

  [ Jonathan Wiltshire ]
  * New upstream security release:
    - correctly set caching headers to prevent private data leakage
         (closes: #590660, LP: #610782)
    - fix XSS vulnerability in profileinfo.php
         (closes: #590669, LP: #610819)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Wed, 28 Jul 2010 12:23:04 +0100

mediawiki (1:1.15.4-2) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/control: add Vcs-SVN and Vcs-Browser

  [ Jonathan Wiltshire ]
  * debian/source/format: Switch to source format 3.0 (quilt)
  * debian/rules: Drop CDBS quilt logic
  * debian_specific_config.patch: Don't just redefine MW_INSTALL_PATH,
    remove the original definition (LP: #406358)
  * debian/README.source: document use of quilt and format 3.0 (quilt)
  * New patch backup_documentation.patch improves documentation of
    maintenance/dumpBackup.php (closes: #572355)
  * Standards version 3.9.0 (no changes)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 29 Jun 2010 14:20:35 +0100

mediawiki (1:1.15.4-1) unstable; urgency=high

  [ Jonathan Wiltshire ]
  * New upstream security release (closes: #585918).
  * CVE-2010-1647:
    Fix a cross-site scripting (XSS) vulnerability which allows
    remote attackers to inject arbitrary web script or HTML via crafted
    Cascading Style Sheets (CSS) strings that are processed as script by
    Internet Explorer.
  * CVE-2010-1648:
    Fix a cross-site request forgery (CSRF) vulnerability in the login interface
    which allows remote attackers to hijack the authentication of users for
    requests that (1) create accounts or (2) reset passwords, related to the
    Special:Userlogin form.

  [ Romain Beauxis ]
  * Put debian's package version in declared version.
    Should help sysadmins to keep track of installed 
    versions, in particular with regard to security
    updates. 
  * Added Jonathan Wiltshire to uploaders.
  * Do not clan math dir if it does not exist (for instance
    when running clean from SVN).

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 21 Jun 2010 23:41:29 +0200

mediawiki (1:1.15.3-1) unstable; urgency=high

  * New upstream release.
  * Fixes security issue:
  "MediaWiki was found to be vulnerable to login CSRF. An attacker who
   controls a user account on the target wiki can force the victim to log
   in as the attacker, via a script on an external website. If the wiki is
   configured to allow user scripts, say with "$wgAllowUserJs = true" in
   LocalSettings.php, then the attacker can proceed to mount a
  phishing-style attack against the victim to obtain their password."

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 16 Apr 2010 14:44:09 -0500

mediawiki (1:1.15.2-1) unstable; urgency=high

  * New upstream release.
  * Fixes security issue:
  "Two security issues were discovered:

   A CSS validation issue was discovered which allows editors to display
   external images in wiki pages. This is a privacy concern on public
   wikis, since a malicious user may link to an image on a server they
   control, which would allow that attacker to gather IP addresses and
   other information from users of the public wiki. All sites running
   publicly-editable MediaWiki installations are advised to upgrade. All
   versions of MediaWiki (prior to this one) are affected.

   A data leakage vulnerability was discovered in thumb.php which affects
   wikis which restrict access to private files using img_auth.php, or
   some similar scheme. All versions of MediaWiki since 1.5 are affected."
  * Updated standards.
  * Removed section about upgrading from mediawiki1.x packages
    in README.Debian since they do not exist in any supported distribution
    anymore.
  * Switched php5-gd and imagemagick in Suggests. Closes: #542008
  * Backported patch from revision 51083 to fix a bug with invalid titles.
  Closes: #537134
  * Backported patch from revision 61090 to add a unique guid per RSS
    feed element.
  Closes: #383130
  * Refreshed patches. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Mar 2010 11:41:07 -0500

mediawiki (1:1.15.1-1) unstable; urgency=low

  * New upstream release.
  * Ack previous NMU, thanks to Nico Golde for taking care
    of this. 

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 09 Aug 2009 10:46:41 -0500

mediawiki (1:1.15.0-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.


=== debian/rules ===
#!/usr/bin/make -f

MANPAGES := debian/texvc.1

include /usr/share/cdbs/1/rules/debhelper.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_DH_SHLIBDEPS_ARGS :=  -Xdebian/mediawiki-math/usr/bin/texvc.bc


build/mediawiki-math:: $(MANPAGES)
	if [ -x /usr/bin/ocamlopt ]; then\
		make -C math texvc;\
	else\
		make -C math texvc.bc;\
		mv math/texvc.bc math/texvc;\
	fi

%.1: %.xml
	xsltproc -nonet -o $@ /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

binary-install/mediawiki::
	cp -rf $(CURDIR)/debian/etc/* $(CURDIR)/debian/mediawiki/etc/mediawiki
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/fetchInterwiki.pl
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/compare_schemas.pl
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/mediawiki_mysql2postgres.pl
	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|AdminSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# License added to copyright file:
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
	# Put debian version for mediawiki version..
	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php

binary-install/mediawiki-math::
	if [ -x /usr/bin/ocamlopt ]; then\
		echo "interpreter:Depends=" >> debian/mediawiki-math.substvars;\
	else\
		echo "interpreter:Depends=ocaml-base-nox" >> debian/mediawiki-math.substvars;\
	fi


binary-predeb/mediawiki::
	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".arch-ids" \) -exec rm -rf {} \;

binary-predeb/mediawiki-math::
	find debian/mediawiki-math -depth \( -name ".cvsignore" -o -name ".arch-ids" \) -exec rm -rf {} \;

clean::
	rm -f $(MANPAGES)
	[ ! -d math ] || make -C math clean
	debconf-updatepo

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://www.mediawiki.org/wiki/Download http://download.wikimedia.org/mediawiki/.*/mediawiki-(.*).tar.gz

## mediawiki 1.18.1

=== maintenance/Makefile ===
help:
	@echo "Run 'make test' to run the parser tests."
	@echo "Run 'make doc' to run the doxygen generation."

test:
	php tests/parserTests.php --quiet

doc:
	php mwdocgen.php --all
	@echo 'Doc generation done. Look at ./docs/html/'

=== tests/phpunit/Makefile ===
.PHONY: help test phpunit install coverage warning destructive parser noparser safe databaseless list-groups
.DEFAULT: warning

SHELL = /bin/sh
CONFIG_FILE = $(shell pwd)/suite.xml
PHP = php
PU = ${PHP} phpunit.php --configuration ${CONFIG_FILE} ${FLAGS}

all test: warning

warning:
	@echo "Run 'make help' to get usage"
	@echo ""
	@echo "WARNING -- some tests are DESTRUCTIVE and will alter your wiki."
	@echo "DO NOT RUN THESE TESTS on a production wiki."
	@echo ""
	@echo "Until the default tests are made non-destructive, you can run"
	@echo "the destructive tests like so:"
	@echo ""
	@echo "    make destructive"
	@echo ""
	@echo "Some tests are expected to be safe, you can run them with"
	@echo ""
	@echo "    make safe"
	@echo ""
	@echo "You are recommended to run the tests with read-only credentials."
	@echo ""
	@echo "If you don't have a database running, you can still run"
	@echo ""
	@echo "    make databaseless"
	@echo ""

destructive: phpunit

phpunit:
	${PU}

install:
	./install-phpunit.sh

tap:
	${PU} --tap

coverage:
	${PU} --coverage-html ../../docs/code-coverage

parser:
	${PU} --group Parser
noparser:
	${PU} --exclude-group Parser,Broken,Stub

safe:
	${PU} --exclude-group Broken,Destructive,Stub

databaseless:
	${PU} --exclude-group Broken,Destructive,Database,Stub

database:
	${PU} --exclude-group Broken,Destructive,Stub --group Database

list-groups:
	${PU} --list-groups

help:
	# Usage:
	#   make <target> [OPTION=value]
	#
	# Targets:
	#   phpunit (default)   Run all the tests with phpunit
	#   install             Install PHPUnit from phpunit.de
	#   tap                 Run the tests individually through Test::Harness's prove(1)
	#   help                You're looking at it!
	#   coverage            Run the tests and generates an HTML code coverage report
	#                       You will need the Xdebug PHP extension for the later.
	#   [no]parser          Skip or only run Parser tests
	#
	#   list-groups         List availabe Tests groups.
	#
	#  Options:
	#   CONFIG_FILE         Path to a PHPUnit configuration file (default: suite.xml)
	#   FLAGS               Additional flags to pass to PHPUnit
	#   PHP                 Path to php

=== debian/changelog ===
mediawiki (1:1.18.1-1) experimental; urgency=low

  * New upstream release (Closes: #613791, #619159, #550940, #460831)
  * Remove patches integrated upstream in this version
  * Standards version 3.9.2
  * Drop mediawiki-math binary package, it is no longer shipped upstream
  * Add sqlite3 to Recommends (Closes: #612212)
  * Use system copies of javascript libraries where available
  * Document upgrade procedure in debian/NEWS
  * Debconf translation to Danish (Closes: #627848)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 15 Jan 2012 00:10:18 +0000

mediawiki (1:1.15.5-6) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/patches/khtml_not_ff9.patch: new (Closes: #652948)

  [ Jonathan Wiltshire ]
  * debian/patches/CVE-2012-0046.patch: security fix for unintended exposure
    of hidden content through cache pollution, CVE-2012-0046 (Closes: #655694)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 13 Jan 2012 09:54:41 +0000

mediawiki (1:1.15.5-5) unstable; urgency=high

  * Security fixes from upstream:
    CVE-2011-1578 - XSS for IE <= 6
    CVE-2011-1579 - CSS validation error in wikitext parser
    CVE-2011-1580 - access control checks on transwiki import feature
    CVE-2011-1587 - fix incomplete patch for CVE-2011-1578

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 18 Dec 2011 23:48:18 +0000

=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 debhelper (>= 7.0.1), ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
Homepage: http://www.mediawiki.org/
Standards-Version: 3.9.2
Vcs-SVN: svn://svn.debian.org/svn/pkg-mediawiki/mediawiki/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mediawiki/mediawiki/trunk/

Package: mediawiki
Architecture: all
Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, libjs-jquery-tablesorter, ${misc:Depends} 
Recommends: mysql-server | postgresql-contrib, php5-cli, python
Suggests: imagemagick | php5-gd, mediawiki-math, memcached, clamav
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES := debian/texvc.1

include /usr/share/cdbs/1/rules/debhelper.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

%.1: %.xml
	xsltproc -nonet -o $@ /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

binary-install/mediawiki::
	cp -rf $(CURDIR)/debian/etc/* $(CURDIR)/debian/mediawiki/etc/mediawiki
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/compare_schemas.pl
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/mediawiki_mysql2postgres.pl
	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|AdminSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Use system javascript libraries
	rm debian/mediawiki/usr/share/mediawiki/resources/jquery/jquery.js
	rm debian/mediawiki/usr/share/mediawiki/resources/jquery.tipsy/jquery.tipsy.js
	dh_link usr/share/javascript/jquery/jquery.min.js usr/share/mediawiki/resources/jquery/jquery.js
	dh_link usr/share/javascript/jquery-tipsy/jquery.tipsy.min.js usr/share/mediawiki/resources/jquery.tipsy/jquery.tipsy.js; \
	for lib in cookie form tablesorter; do \
		rm debian/mediawiki/usr/share/mediawiki/resources/jquery/jquery.$$lib.js; \
		dh_link usr/share/javascript/jquery-$$lib/jquery.$$lib.min.js usr/share/mediawiki/resources/jquery/jquery.$$lib.js; \
		echo $$lib; \
	done
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# License added to copyright file:
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/LICENSE
	rm -f debian/mediawiki/var/lib/mediawiki/extensions/ParserFunctions/COPYING
	# Put debian version for mediawiki version..
	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php

binary-predeb/mediawiki::
	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".arch-ids" \) -exec rm -rf {} \;

clean::
	rm -f $(MANPAGES)
	debconf-updatepo

## mediawiki 1.19.1

=== debian/changelog ===
mediawiki (1:1.19.1-1) unstable; urgency=low

  * New upstream bug fix release
    Closes: #672818, 677895 (CVE-2012-2698)
    - debian/rules: remove all .gitignore files too, since upstream
      switched to git VCS
  * Remove last traces of mediaiki-math binary package
  * Remove CDBS logic and dependencies and use dh
    auto-sequencer instead
  * Depend on debhelper >=9 and use compat level 9; this
    stops dh_pysupport adding files to the build
  * Do not run update debconf translations on clean 
  * Disable patch texvc_location.patch; this really belongs in mediawiki-math
    now and especially considering <1632437115.20120612191230@gmail.com>
  * Add a versioned Breaks on fusionforge-plugin-mediawiki
  * Upload to unstable

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 18 Jun 2012 15:25:25 +0100

mediawiki (1:1.19.0-1) experimental; urgency=low

  * New upstream release
  * Standards version 3.9.3 (no changes)
  * Update debian/NEWS version

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 Jun 2012 20:14:14 +0100

mediawiki (1:1.15.5-10) unstable; urgency=low

  * Team upload.
  * Apply SQL fix for schema search paths by Roland Mas (#673125)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 May 2012 16:50:36 +0200

mediawiki (1:1.15.5-9) unstable; urgency=high

  * Team upload.
  * Address MW security release 1.18.1-1 (Closes: #666269)
    - CVE-2012-1578 MW#34212: doesn’t affect 1.15
    - CVE-2012-1579 MW#34907: doesn’t affect 1.15
    - CVE-2012-1580 MW#35317: doesn’t affect 1.15
    - CVE-2012-1581 MW#35078: fix backported
    - CVE-2012-1582 MW#35315: fix backported
  * Apply some lintian cleanup

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 16 May 2012 15:01:06 +0200

mediawiki (1:1.15.5-8) unstable; urgency=low

  * Fix reversing IPv4 address for SORBS blacklist; patch from
    Nye Liu <nyet@nyet.org> (Closes: #658672)
  * Backport a method called by CVE-2011-1580.patch (Closes: #658682)
  * Fix warnings issued by PHP 5.4 (Closes: #661682)
  * Suggest librsvg-bin (Closes: #644731)
  * Demote database server to Suggests (Closes: #617561)
  * Add dansk translation (Closes: #627848)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 15 Mar 2012 12:52:09 +0100

mediawiki (1:1.15.5-7) unstable; urgency=high

  * debian/patches/CVE-2011-4360.patch: remove – the information
    disclosure does not happen on 1.15 and the patch would not
    work anyway because the OutputPage object has no setTitle
    method (this prevents a PHP fatal error when someone has no
    permissions, instead reverting to the pre-1:1.15.5-4 behaviour
    of showing a page asking the user to log in)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 20 Jan 2012 17:13:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>
-Build-Depends: cdbs,
- debhelper,
+Build-Depends: debhelper (>= 9),
  dh-buildinfo,
- debhelper (>= 7.0.1), ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
+ ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
 Homepage: http://www.mediawiki.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-SVN: svn://svn.debian.org/svn/pkg-mediawiki/mediawiki/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mediawiki/mediawiki/trunk/
 
@@ -17,6 +16,7 @@
 Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, libjs-jquery-tablesorter, ${misc:Depends} 
 Recommends: mysql-server | postgresql-contrib, php5-cli, python
 Suggests: imagemagick | php5-gd, mediawiki-math, memcached, clamav
+Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1-4~)
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,12 @@
 #!/usr/bin/make -f
 
-MANPAGES := debian/texvc.1
+DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
+DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 
-include /usr/share/cdbs/1/rules/debhelper.mk
-
-# In order to regenerate 'debian/control' :
-#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
-# Then check manually if everything's ok
-
-%.1: %.xml
-	xsltproc -nonet -o $@ /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<
-
-binary-install/mediawiki::
-	cp -rf $(CURDIR)/debian/etc/* $(CURDIR)/debian/mediawiki/etc/mediawiki
+override_dh_install:
+	dh_install
+	# Now some tidying up is required
 	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/compare_schemas.pl
 	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/mediawiki_mysql2postgres.pl
 	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|AdminSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
@@ -43,10 +37,9 @@
 	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
 			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
 
-binary-predeb/mediawiki::
-	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
+override_dh_installdeb:
+	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
+	dh_installdeb
 
-clean::
-	rm -f $(MANPAGES)
-	debconf-updatepo
-
+%:
+	dh $@
